# Class InvalidOpenTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
javax.management.openmbean.InvalidOpenTypeException

All Implemented Interfaces:
  `Serializable`

public class InvalidOpenTypeException extends IllegalArgumentException
This runtime exception is thrown to indicate that the open type of an open data value is not the one expected.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidOpenTypeException()`
  An InvalidOpenTypeException with no detail message.
  `InvalidOpenTypeException(String msg)`
  An InvalidOpenTypeException with a detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidOpenTypeException

    public InvalidOpenTypeException()
    An InvalidOpenTypeException with no detail message.

  - ### InvalidOpenTypeException

    public InvalidOpenTypeException(String msg)
    An InvalidOpenTypeException with a detail message.
    Parameters:
      `msg` - the detail message.